summaryrefslogtreecommitdiffstats
path: root/libraries/ffcall
diff options
context:
space:
mode:
author Martin Lefebvre2010-05-11 14:56:13 +0200
committer Robby Workman2010-05-11 14:56:13 +0200
commit2c73612cbcd18e853199181eefd5aee33196876e (patch)
tree49d5c7e147cc4f963b9a1dc9153c65c66e4cd003 /libraries/ffcall
parentc36eae4745cf88a357eef470f1e1322192d07dd9 (diff)
downloadslackbuilds-2c73612cbcd18e853199181eefd5aee33196876e.tar.gz
libraries/ffcall: Initial import
Diffstat (limited to 'libraries/ffcall')
-rw-r--r--libraries/ffcall/README2
-rw-r--r--libraries/ffcall/ffcall.SlackBuild86
-rw-r--r--libraries/ffcall/ffcall.info8
-rw-r--r--libraries/ffcall/slack-desc6
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/ffcall/README b/libraries/ffcall/README
new file mode 100644
index 0000000000..19a2026927
--- /dev/null
+++ b/libraries/ffcall/README
@@ -0,0 +1,2 @@
+ffcall is a collection of four libraries used to build foreign
+function call interfaces in embedded interpreters.
diff --git a/libraries/ffcall/ffcall.SlackBuild b/libraries/ffcall/ffcall.SlackBuild
new file mode 100644
index 0000000000..00bc83e867
--- /dev/null
+++ b/libraries/ffcall/ffcall.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for ffcall
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=ffcall
+VERSION=1.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Bail out if we encounter an error
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a COPYING NEWS PLATFORMS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/html $PKG/usr/doc/$PRGNAM-$VERSION/html
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ffcall/ffcall.info b/libraries/ffcall/ffcall.info
new file mode 100644
index 0000000000..2707eda686
--- /dev/null
+++ b/libraries/ffcall/ffcall.info
@@ -0,0 +1,8 @@
+PRGNAM="ffcall"
+VERSION="1.10"
+HOMEPAGE="http://www.haible.de/bruno/packages-ffcall.html"
+DOWNLOAD="ftp://ftp.santafe.edu/pub/gnu/ffcall-1.10.tar.gz"
+MD5SUM="2db95007e901f3bc2ae7e5a9fe9ebea4"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810"
diff --git a/libraries/ffcall/slack-desc b/libraries/ffcall/slack-desc
new file mode 100644
index 0000000000..a29265008b
--- /dev/null
+++ b/libraries/ffcall/slack-desc
@@ -0,0 +1,6 @@
+ffcall: Foreign Function Call library
+ffcall:
+ffcall: A collection of four libraries used to build foreign function call
+ffcall: interfaces in embedded interpreters.
+ffcall:
+ffcall: